Bug 1306968 - (php-mock/php-mock) Review Request: php-mock - PHP-Mock can mock built-in PHP functions
Review Request: php-mock - PHP-Mock can mock built-in PHP functions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: php-mock/php-mock-integration php-mock/php-mock-phpunit
  Show dependency treegraph
 
Reported: 2016-02-12 05:18 EST by Remi Collet
Modified: 2016-03-02 16:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-02 16:22:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.php (15.58 KB, text/plain)
2016-02-22 07:58 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.php (5.93 KB, text/plain)
2016-02-22 07:58 EST, Shawn Iwinski
no flags Details
fedora-review.txt (7.71 KB, text/plain)
2016-02-22 07:59 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-02-12 05:18:51 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/0822a3a8879586381cc763d6d7b5a9612d5caf48/php/php-mock/php-mock/php-mock.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-mock-1.0.1-1.remi.src.rpm
Description: 
PHP-Mock can mock built-in PHP functions (e.g. time()).
PHP-Mock relies on PHP's namespace fallback policy.
No further extension is needed.

Fedora Account System Username: remi

Needed by ZF
Comment 1 Shawn Iwinski 2016-02-22 07:58 EST
Created attachment 1129308 [details]
phpcompatinfo-full.php

phpCompatInfo version 5.0.0 DB built Jan 09 2016 15:36:21 CET
Comment 2 Shawn Iwinski 2016-02-22 07:58 EST
Created attachment 1129309 [details]
phpcompatinfo-lib.php

phpCompatInfo version 5.0.0 DB built Jan 09 2016 15:36:21 CET
Comment 3 Shawn Iwinski 2016-02-22 07:59 EST
Created attachment 1129310 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1306968
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2016-02-22 07:59:49 EST
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* WTFPL", "WTFPL", "Unknown or generated". 40
     files have unknown license.

     License is "WTFPL" not "BSD"
Comment 6 Shawn Iwinski 2016-02-22 09:14:17 EST
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* WTFPL", "WTFPL", "Unknown or generated". 40
     files have unknown license.



[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====
Comment 7 Gwyn Ciesla 2016-02-22 09:53:06 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-mock
Comment 8 Fedora Update System 2016-02-22 10:57:21 EST
php-mock-1.0.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1c6e043cf
Comment 9 Fedora Update System 2016-02-23 10:19:57 EST
php-mock-1.0.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1c6e043cf
Comment 10 Fedora Update System 2016-03-02 16:22:50 EST
php-mock-1.0.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.